$(document).ready(function()
{
    $('#menu li').removeClass('active').find('a[href*=all]').parent().addClass('active');

    $(document).on('click', '.addItem', function()
    {
        $(this).parents('tr').after('<tr>' + $('#originTR').html().replace(/key/g, v.key) + '</tr>');
        $(this).parents('tr').next().find('[name^=field], [name^=rules]').chosen();
        v.key++;
        return false;
    });

    $(document).on('click', '.delItem', function()
    { 
        if($('#ajaxForm .table .delItem').size() > 1)
        {
            $(this).parents('tr').remove(); 
        }
        else
        {
            $(this).parents('tr').find('input,select').val('');
            $(this).parents('tr').find('[name^=field], [name^=rules]').trigger('chosen:updated');
        }
    });
})
